From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/pwntools/
Date: Sun, 1 Oct 2023 07:34:58 +0000 (UTC) [thread overview]
Message-ID: <1696145551.666ee57a7bb06e1cb74f88dc89959666f9f18bb9.sam@gentoo> (raw)
commit: 666ee57a7bb06e1cb74f88dc89959666f9f18bb9
Author: Mario Haustein <mario.haustein <AT> hrz <DOT> tu-chemnitz <DOT> de>
AuthorDate: Mon Sep 18 19:10:24 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct 1 07:32:31 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=666ee57a
dev-util/pwntools: add 4.12.0_beta0
Signed-off-by: Mario Haustein <mario.haustein <AT> hrz.tu-chemnitz.de>
Closes: https://github.com/gentoo/gentoo/pull/32911
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-util/pwntools/Manifest | 1 +
dev-util/pwntools/pwntools-4.12.0_beta0.ebuild | 61 ++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-util/pwntools/Manifest b/dev-util/pwntools/Manifest
index 3355e3824cc8..fc5aeba8bb9b 100644
--- a/dev-util/pwntools/Manifest
+++ b/dev-util/pwntools/Manifest
@@ -1,3 +1,4 @@
DIST pwntools-4.10.0.gh.tar.gz 4228469 BLAKE2B a452d1efb23430a27630b402ad49967088bf8f9bcfa1e9fda1a87c58384c750531724ad24efa89caaa205097617529f9e0b8489251b7d5f098540efd8e4459c3 SHA512 6d96b71da08661ca225cc21bb06d66333c8ccdb79852bbd679ff7d69b091fe3cc6811f7317e1011e7c6867c5b70aaeb5f02de2fb03882914005fbbde583570d0
DIST pwntools-4.11.0.gh.tar.gz 4237576 BLAKE2B 11b1b6a923c44ee1b5027b4a71f9f3b6b9bcd36a2a38915ee46ffc855b0749528a204581dcb5071d50031701924b3cc08edf95b363d1d1b6e76d029a91011293 SHA512 a5be69a19cea933680f1946e389fad4edbbdb0d6106cd1f78778f901a6ddaaef734389678c5b4f16718a788d53bff6025817d83c06ab3dc1a200a5ff3c696aaa
DIST pwntools-4.11.0_beta0.gh.tar.gz 4234690 BLAKE2B 8e87cd9eddf1fe7e4ee716a8e5ad82150b0f9c8c3bd44e4c071b551643be032111b97d7024844cd0107ef259287e29920d3fa672a7f458331baba7a97ec7acac SHA512 f3377b2c2b2cd25f3c36930245117fbbdb30fb8ff7f0c0c8633745cbb9b5192822087d8621da5ad325bf349efe616c538435fb490a35b12f57d04b79788d07f3
+DIST pwntools-4.12.0_beta0.gh.tar.gz 4244487 BLAKE2B a5312c5c454ddfbdbfd27ddf200194155db1dbc6bd545bc2de0ba0d18bee731dc9d7109e205e4426776a12a9cf715a45a365afd1b624edd0d3e1abb81e3a1936 SHA512 d14ea4283b78387362673c5416e2c7aa55c6ac5e2cd7191f57b28afdf55b1cf8c4044c265022591f30f56bcf7bde8d745e2dc70ada6763abf07c43899516f537
diff --git a/dev-util/pwntools/pwntools-4.12.0_beta0.ebuild b/dev-util/pwntools/pwntools-4.12.0_beta0.ebuild
new file mode 100644
index 000000000000..ae6e8ade5145
--- /dev/null
+++ b/dev-util/pwntools/pwntools-4.12.0_beta0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="CTF framework and exploit development library"
+HOMEPAGE="https://github.com/Gallopsled/pwntools"
+
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/Gallopsled/pwntools.git"
+else
+ SRC_URI="https://github.com/Gallopsled/pwntools/archive/${PV/_beta/beta}.tar.gz -> ${P}.gh.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ S="${WORKDIR}/${PN}-${PV/_beta/beta}"
+fi
+
+LICENSE="MIT GPL-2+ BSD-2"
+SLOT="0"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-libs/capstone-3.0.5[python,${PYTHON_USEDEP}]
+ >=dev-util/ROPgadget-5.3[${PYTHON_USEDEP}]
+ >=dev-util/unicorn-1.0.2[python,${PYTHON_USEDEP}]
+ dev-python/colored-traceback[${PYTHON_USEDEP}]
+ >=dev-python/intervaltree-3.0[${PYTHON_USEDEP}]
+ >=dev-python/mako-1.0.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-1.15.2[${PYTHON_USEDEP}]
+ >=dev-python/psutil-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pyelftools-0.2.4[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyserial-2.7[${PYTHON_USEDEP}]
+ dev-python/PySocks[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.0[${PYTHON_USEDEP}]
+ dev-python/rpyc[${PYTHON_USEDEP}]
+ >=dev-python/six-1.12.0[${PYTHON_USEDEP}]
+ dev-python/sortedcontainers[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-4.11.0_update_deps.patch"
+)
+
+python_configure_all() {
+ DISTUTILS_ARGS=(
+ --only-use-pwn-command
+ )
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ rm -r "${ED}/usr/pwntools-doc" || die
+}
next reply other threads:[~2023-10-01 7:35 UTC|newest]
Thread overview: 41+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-10-01 7:34 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-18 7:08 [gentoo-commits] repo/gentoo:master commit in: dev-util/pwntools/ Joonas Niilola
2025-02-18 7:08 Joonas Niilola
2025-02-18 7:08 Joonas Niilola
2024-11-23 7:52 Joonas Niilola
2024-11-23 7:38 Joonas Niilola
2024-10-03 9:50 Sam James
2024-10-03 9:50 Sam James
2024-10-03 9:50 Sam James
2024-10-03 9:50 Sam James
2024-09-27 23:23 Jakov Smolić
2024-09-27 12:41 Arthur Zamarin
2024-08-27 7:02 Joonas Niilola
2024-08-27 7:02 Joonas Niilola
2024-08-27 7:02 Joonas Niilola
2024-04-23 14:35 Sam James
2024-04-23 13:57 Sam James
2024-03-22 11:58 Arthur Zamarin
2024-03-22 11:58 Arthur Zamarin
2024-03-22 11:58 Arthur Zamarin
2024-02-15 7:07 Joonas Niilola
2024-02-14 23:12 Jakov Smolić
2024-01-12 7:52 Joonas Niilola
2024-01-12 7:52 Joonas Niilola
2024-01-12 7:52 Joonas Niilola
2024-01-12 7:52 Joonas Niilola
2023-10-27 3:22 Sam James
2023-10-19 6:16 Joonas Niilola
2023-10-19 6:16 Joonas Niilola
2023-10-09 14:17 Yixun Lan
2023-09-18 7:40 Sam James
2023-09-18 7:40 Sam James
2023-09-18 0:17 Sam James
2023-09-17 23:58 Sam James
2023-05-27 7:49 Joonas Niilola
2023-05-27 7:49 Joonas Niilola
2023-03-05 7:25 Joonas Niilola
2023-03-04 11:24 Arthur Zamarin
2023-02-10 8:45 Yixun Lan
2023-02-01 7:27 Sam James
2023-01-31 4:04 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1696145551.666ee57a7bb06e1cb74f88dc89959666f9f18bb9.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox